Bug 118132 - user can't chmod ~/.ssh
Summary: user can't chmod ~/.ssh
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 11:11 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.8-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-14 17:50:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2004-03-12 11:11:08 UTC
Description of problem:
[tim@tornado tim]$ id -Z
user_u:user_r:user_t
[tim@tornado tim]$ ls --lcontext -d .ssh
drwxrwxr-x  2 system_u:object_r:user_home_ssh_t tim tim 4096 Mar 11
15:07 .ssh
[tim@tornado tim]$ chmod g-w .ssh
chmod: changing permissions of `.ssh': Permission denied
[tim@tornado tim]$ rpm -q policy
policy-1.8-10

[root@tornado program]# audit2allow
avc:  denied  { setattr } for  pid=2705 exe=/bin/chmod name=.ssh
dev=hdb1 ino=748424 scontext=user_u:user_r:user_t
tcontext=system_u:object_r:user_home_ssh_t tclass=dir
allow user_t user_home_ssh_t:dir { setattr };

Version-Release number of selected component (if applicable):
policy-1.8-10

How reproducible:
100%

Comment 1 Daniel Walsh 2004-03-12 19:59:05 UTC
fixed in policy-1.8-14

Dan


Note You need to log in before you can comment on or make changes to this bug.